Package: org.codehaus.groovy.ast.expr

## [Java] Class ClosureListExpression

- org.codehaus.groovy.ast.expr.ClosureListExpression

-     public class ClosureListExpression
      extends ListExpression

  This class represents a list of expressions used to create closures. Example: `def foo = (1;2;;)` The right side is a ClosureListExpression consisting of two ConstantExpressions for the values 1 and 2, and two EmptyStatement entries. The ClosureListExpression defines a new variable scope. All created Closures share this scope.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClosureListExpression(List<Expression> expressions)`
    `ClosureListExpression()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `getText()`
    `` | `public VariableScope` | `getVariableScope()`
    `` | `public void` | `setVariableScope(VariableScope scope)`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ListExpression` | `addExpression, getExpression, getExpressions, getText, isWrapped, setWrapped, toString, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public ClosureListExpression(List<Expression> expressions)

    - #### public ClosureListExpression()

  - ### Method Detail

    - #### @Override public String getText()

    - #### public VariableScope getVariableScope()

    - #### public void setVariableScope(VariableScope scope)

    - #### @Override public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override public void visit(GroovyCodeVisitor visitor)